
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"1",
  "macros":[],
  "tags":[],
  "predicates":[],
  "rules":[]
},
"runtime":[
[],[]
]};

var aa=function(a,b){function c(){}c.prototype=b.prototype;a.Md=b.prototype;a.prototype=new c;a.prototype.constructor=a;a.Ad=function(a,c,f){for(var d=Array(arguments.length-2),e=2;e<arguments.length;e++)d[e-2]=arguments[e];return b.prototype[c].apply(a,d)}};var g=function(a,b){this.o=a;this.rc=b};g.prototype.Fc=function(){return this.o};g.prototype.getType=g.prototype.Fc;g.prototype.getData=function(){return this.rc};g.prototype.getData=g.prototype.getData;var ba=function(a){return"number"==typeof a&&0<=a&&isFinite(a)&&0==a%1||"string"==typeof a&&"-"!=a[0]&&a==""+parseInt(a,10)},ca=function(){this.U={};this.J=!1};ca.prototype.get=function(a){return this.U["dust."+a]};ca.prototype.set=function(a,b){!this.J&&(this.U["dust."+a]=b)};ca.prototype.has=function(a){return this.U.hasOwnProperty("dust."+a)};var ea=function(a){var b=[],c;for(c in a.U)a.U.hasOwnProperty(c)&&b.push(c.substr(5));return b};
ca.prototype.remove=function(a){!this.J&&delete this.U["dust."+a]};var t=function(a){this.X=new ca;this.h=[];a=a||[];for(var b in a)a.hasOwnProperty(b)&&(ba(b)?this.h[Number(b)]=a[Number(b)]:this.X.set(b,a[b]))};t.prototype.toString=function(){for(var a=[],b=0;b<this.h.length;b++){var c=this.h[b];null===c||void 0===c?a.push(""):a.push(c.toString())}return a.join(",")};t.prototype.set=function(a,b){if("length"==a){if(!ba(b))throw"RangeError: Length property must be a valid integer.";this.h.length=Number(b)}else ba(a)?this.h[Number(a)]=b:this.X.set(a,b)};
t.prototype.set=t.prototype.set;t.prototype.get=function(a){return"length"==a?this.h.length:ba(a)?this.h[Number(a)]:this.X.get(a)};t.prototype.get=t.prototype.get;t.prototype.C=function(){for(var a=ea(this.X),b=0;b<this.h.length;b++)a.push(b+"");return new t(a)};t.prototype.getKeys=t.prototype.C;t.prototype.remove=function(a){ba(a)?delete this.h[Number(a)]:this.X.remove(a)};t.prototype.remove=t.prototype.remove;t.prototype.pop=function(){return this.h.pop()};t.prototype.pop=t.prototype.pop;
t.prototype.push=function(a){return this.h.push.apply(this.h,Array.prototype.slice.call(arguments))};t.prototype.push=t.prototype.push;t.prototype.shift=function(){return this.h.shift()};t.prototype.shift=t.prototype.shift;t.prototype.splice=function(a,b,c){return new t(this.h.splice.apply(this.h,arguments))};t.prototype.splice=t.prototype.splice;t.prototype.unshift=function(a){return this.h.unshift.apply(this.h,Array.prototype.slice.call(arguments))};t.prototype.unshift=t.prototype.unshift;
t.prototype.has=function(a){return ba(a)&&this.h.hasOwnProperty(a)||this.X.has(a)};var fa=function(a){this.K=a;this.h=new ca};fa.prototype.add=function(a,b){this.h.set(a,b)};fa.prototype.add=fa.prototype.add;fa.prototype.set=function(a,b){this.K&&this.K.has(a)?this.K.set(a,b):this.h.set(a,b)};fa.prototype.set=fa.prototype.set;fa.prototype.get=function(a){return this.h.has(a)?this.h.get(a):this.K?this.K.get(a):void 0};fa.prototype.get=fa.prototype.get;fa.prototype.has=function(a){return!!this.h.has(a)||!(!this.K||!this.K.has(a))};fa.prototype.has=fa.prototype.has;var ia=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},ja=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1};var u=function(a,b){ca.call(this);this.ub=a;this.Dc=b};aa(u,ca);u.prototype.toString=function(){return this.ub};u.prototype.getName=function(){return this.ub};u.prototype.getName=u.prototype.getName;u.prototype.C=function(){return new t(ea(this))};u.prototype.getKeys=u.prototype.C;u.prototype.i=function(a,b){return this.Dc.apply({A:function(){return a},evaluate:function(b){var c=a;return ia(b)?ka(c,b):b},da:function(b){return la(a,b)}},Array.prototype.slice.call(arguments,1))};
u.prototype.invoke=u.prototype.i;var la=function(a,b){for(var c,d=0;d<b.length&&!(c=ka(a,b[d]),c instanceof g);d++);return c},ka=function(a,b){var c=a.get(String(b[0]));if(!(c&&c instanceof u))throw"Attempting to execute non-function "+b[0]+".";return c.i.apply(c,[a].concat(b.slice(1)))};var v=function(){ca.call(this)};aa(v,ca);v.prototype.C=function(){return new t(ea(this))};v.prototype.getKeys=v.prototype.C;/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var ma=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,na=function(a){if(null==a)return String(a);var b=ma.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},oa=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},pa=function(a){if(!a||"object"!=na(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!oa(a,"constructor")&&!oa(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||oa(a,b)},qa=function(a,b){var c=b||("array"==na(a)?[]:{}),d;for(d in a)if(oa(a,d)){var e=a[d];"array"==na(e)?("array"!=na(c[d])&&(c[d]=[]),c[d]=qa(e,c[d])):pa(e)?(pa(c[d])||(c[d]={}),c[d]=qa(e,c[d])):c[d]=e}return c};var ra=function(a){if(a instanceof t){for(var b=[],c=Number(a.get("length")),d=0;d<c;d++)a.has(d)&&(b[d]=ra(a.get(d)));return b}if(a instanceof v){var e={},f=a.C();c=Number(f.get("length"));for(d=0;d<c;d++)e[f.get(d)]=ra(a.get(f.get(d)));return e}return a instanceof u?function(){for(var b=Array.prototype.slice.call(arguments,0),c=0;c<b.length;c++)b[c]=ta(b[c]);return ra(a.i.apply(a,[{}].concat(b)))}:a},ta=function(a){if(ia(a)){for(var b=[],c=0;c<a.length;c++)a.hasOwnProperty(c)&&(b[c]=ta(a[c]));return new t(b)}if(pa(a)){var d=
new v,e;for(e in a)a.hasOwnProperty(e)&&d.set(e,ta(a[e]));return d}if("function"==typeof a)return new u("",function(b){for(var c=Array.prototype.slice.call(arguments,0),d=0;d<c.length;d++)c[d]=ra(this.evaluate(c[d]));return ta(a.apply(a,c))});var f=typeof a;if(null===a||"string"==f||"number"==f||"boolean"==f)return a};var ua={control:function(a,b){return new g(a,this.evaluate(b))},fn:function(a,b,c){var d=this.A(),e=this.evaluate(b);if(!(e instanceof t))throw"Error: non-List value given for Fn argument names.";var f=Array.prototype.slice.call(arguments,2);return new u(a,function(){return function(a){for(var b=new fa(d),c=Array.prototype.slice.call(arguments,0),h=0;h<c.length;h++)if(c[h]=this.evaluate(c[h]),c[h]instanceof g)return c[h];var n=e.get("length");for(h=0;h<n;h++)h<c.length?b.set(e.get(h),c[h]):b.set(e.get(h),
void 0);b.set("arguments",new t(c));var p=la(b,f);if(p instanceof g)return"return"==p.o?p.getData():p}}())},list:function(a){for(var b=new t,c=0;c<arguments.length;c++)b.push(this.evaluate(arguments[c]));return b},map:function(a){for(var b=new v,c=0;c<arguments.length-1;c+=2)b.set(this.evaluate(arguments[c]),this.evaluate(arguments[c+1]));return b},undefined:function(){}};var va=function(){this.rb=new fa};va.prototype.D=function(a,b){var c=new u(a,b);c.J=!0;this.rb.set(a,c)};va.prototype.addInstruction=va.prototype.D;va.prototype.ib=function(a,b){ua.hasOwnProperty(a)&&this.D(b||a,ua[a])};va.prototype.addNativeInstruction=va.prototype.ib;
va.prototype.w=function(a,b){var c=Array.prototype.slice.call(arguments,0),d=ka(this.rb,c);if(d instanceof g||d instanceof u||d instanceof t||d instanceof v||null===d||void 0===d||"string"==typeof d||"number"==typeof d||"boolean"==typeof d)return d};va.prototype.execute=va.prototype.w;va.prototype.jd=function(a){for(var b=0;b<arguments.length;b++)this.w.apply(this,arguments[b])};va.prototype.run=va.prototype.jd;var wa=function(a){for(var b=[],c=Number(a.get("length")),d=0;d<c;d++)a.has(d)&&(b[d]=a.get(d));return b};var w={od:"concat every filter forEach hasOwnProperty indexOf join lastIndexOf map pop push reduce reduceRight reverse shift slice some sort splice unshift toString".split(" ")},z=function(a){return Number(a.get("length"))};w.concat=function(a,b){for(var c=[],d=z(this),e=0;e<d;e++)c.push(this.get(e));for(e=1;e<arguments.length;e++)if(arguments[e]instanceof t)for(var f=arguments[e],h=z(f),k=0;k<h;k++)c.push(f.get(k));else c.push(arguments[e]);return new t(c)};
w.every=function(a,b){for(var c=z(this),d=0;d<z(this)&&d<c;d++)if(this.has(d)&&!b.i(a,this.get(d),d,this))return!1;return!0};w.filter=function(a,b){for(var c=z(this),d=[],e=0;e<z(this)&&e<c;e++)this.has(e)&&b.i(a,this.get(e),e,this)&&d.push(this.get(e));return new t(d)};w.forEach=function(a,b){for(var c=z(this),d=0;d<z(this)&&d<c;d++)this.has(d)&&b.i(a,this.get(d),d,this)};w.hasOwnProperty=function(a,b){return this.has(b)};
w.indexOf=function(a,b,c){var d=z(this),e=void 0===c?0:Number(c);0>e&&(e=Math.max(d+e,0));for(var f=e;f<d;f++)if(this.has(f)&&this.get(f)===b)return f;return-1};w.join=function(a,b){for(var c=[],d=z(this),e=0;e<d;e++)c.push(this.get(e));return c.join(b)};w.lastIndexOf=function(a,b,c){var d=z(this),e=d-1;void 0!==c&&(e=0>c?d+c:Math.min(c,e));for(var f=e;0<=f;f--)if(this.has(f)&&this.get(f)===b)return f;return-1};
w.map=function(a,b){for(var c=z(this),d=[],e=0;e<z(this)&&e<c;e++)this.has(e)&&(d[e]=b.i(a,this.get(e),e,this));return new t(d)};w.pop=function(){return this.pop()};w.push=function(a,b){return this.push.apply(this,Array.prototype.slice.call(arguments,1))};
w.reduce=function(a,b,c){var d=z(this),e,f;if(void 0!==c)e=c,f=0;else{if(0==d)throw"TypeError: Reduce on List with no elements.";for(var h=0;h<d;h++)if(this.has(h)){e=this.get(h);f=h+1;break}if(h==d)throw"TypeError: Reduce on List with no elements.";}for(h=f;h<d;h++)this.has(h)&&(e=b.i(a,e,this.get(h),h,this));return e};
w.reduceRight=function(a,b,c){var d=z(this),e,f;if(void 0!==c)e=c,f=d-1;else{if(0==d)throw"TypeError: ReduceRight on List with no elements.";for(var h=1;h<=d;h++)if(this.has(d-h)){e=this.get(d-h);f=d-(h+1);break}if(h>d)throw"TypeError: ReduceRight on List with no elements.";}for(h=f;0<=h;h--)this.has(h)&&(e=b.i(a,e,this.get(h),h,this));return e};w.reverse=function(){for(var a=wa(this),b=a.length-1,c=0;0<=b;b--,c++)a.hasOwnProperty(b)?this.set(c,a[b]):this.remove(c);return this};w.shift=function(){return this.shift()};
w.slice=function(a,b,c){var d=z(this);void 0===b&&(b=0);b=0>b?Math.max(d+b,0):Math.min(b,d);c=void 0===c?d:0>c?Math.max(d+c,0):Math.min(c,d);c=Math.max(b,c);for(var e=[],f=b;f<c;f++)e.push(this.get(f));return new t(e)};w.some=function(a,b){for(var c=z(this),d=0;d<z(this)&&d<c;d++)if(this.has(d)&&b.i(a,this.get(d),d,this))return!0;return!1};
w.sort=function(a,b){var c=wa(this);void 0===b?c.sort():c.sort(function(c,d){return Number(b.i(a,c,d))});for(var d=0;d<c.length;d++)c.hasOwnProperty(d)?this.set(d,c[d]):this.remove(d)};w.splice=function(a,b,c,d){return this.splice.apply(this,Array.prototype.splice.call(arguments,1,arguments.length-1))};w.toString=function(){return this.toString()};w.unshift=function(a,b){return this.unshift.apply(this,Array.prototype.slice.call(arguments,1))};var A={ia:{ADD:0,AND:1,APPLY:2,ASSIGN:3,BREAK:4,CASE:5,CONTINUE:6,CONTROL:49,CREATE_ARRAY:7,CREATE_OBJECT:8,DEFAULT:9,DEFN:50,DIVIDE:10,DO:11,EQUALS:12,EXPRESSION_LIST:13,FN:51,FOR:14,FOR_IN:47,GET:15,GET_CONTAINER_VARIABLE:48,GET_INDEX:16,GET_PROPERTY:17,GREATER_THAN:18,GREATER_THAN_EQUALS:19,IDENTITY_EQUALS:20,IDENTITY_NOT_EQUALS:21,IF:22,LESS_THAN:23,LESS_THAN_EQUALS:24,MODULUS:25,MULTIPLY:26,NEGATE:27,NOT:28,NOT_EQUALS:29,NULL:45,OR:30,PLUS_EQUALS:31,POST_DECREMENT:32,POST_INCREMENT:33,PRE_DECREMENT:34,
PRE_INCREMENT:35,QUOTE:46,RETURN:36,SET_PROPERTY:43,SUBTRACT:37,SWITCH:38,TERNARY:39,TYPEOF:40,UNDEFINED:44,VAR:41,WHILE:42}},xa="charAt concat indexOf lastIndexOf match replace search slice split substring toLowerCase toLocaleLowerCase toString toUpperCase toLocaleUpperCase trim".split(" "),ya=new g("break"),za=new g("continue");A.add=function(a,b){return this.evaluate(a)+this.evaluate(b)};A.and=function(a,b){return this.evaluate(a)&&this.evaluate(b)};
A.apply=function(a,b,c){a=this.evaluate(a);b=this.evaluate(b);c=this.evaluate(c);if(!(c instanceof t))throw"Error: Non-List argument given to Apply instruction.";if(null===a||void 0===a)throw"TypeError: Can't read property "+b+" of "+a+".";if("boolean"==typeof a||"number"==typeof a){if("toString"==b)return a.toString();throw"TypeError: "+a+"."+b+" is not a function.";}if("string"==typeof a){if(0<=ja(xa,b))return ta(a[b].apply(a,wa(c)));throw"TypeError: "+b+" is not a function";}if(a instanceof t){if(a.has(b)){var d=
a.get(b);if(d instanceof u){var e=wa(c);e.unshift(this.A());return d.i.apply(d,e)}throw"TypeError: "+b+" is not a function";}if(0<=ja(w.od,b))return e=wa(c),e.unshift(this.A()),w[b].apply(a,e)}if(a instanceof u||a instanceof v){if(a.has(b)){d=a.get(b);if(d instanceof u)return e=wa(c),e.unshift(this.A()),d.i.apply(d,e);throw"TypeError: "+b+" is not a function";}if("toString"==b)return a instanceof u?a.getName():a.toString();if("hasOwnProperty"==b)return a.has.apply(a,wa(c))}throw"TypeError: Object has no '"+
b+"' property.";};A.assign=function(a,b){a=this.evaluate(a);if("string"!=typeof a)throw"Invalid key name given for assignment.";var c=this.A();if(!c.has(a))throw"Attempting to assign to undefined value "+b;var d=this.evaluate(b);c.set(a,d);return d};A["break"]=function(){return ya};A["case"]=function(a){for(var b=this.evaluate(a),c=0;c<b.length;c++){var d=this.evaluate(b[c]);if(d instanceof g)return d}};A["continue"]=function(){return za};
A.sc=function(a,b,c){var d=new t;b=this.evaluate(b);for(var e=0;e<b.length;e++)d.push(b[e]);var f=[A.ia.FN,a,d].concat(Array.prototype.splice.call(arguments,2,arguments.length-2));this.A().set(a,this.evaluate(f))};A.wc=function(a,b){return this.evaluate(a)/this.evaluate(b)};A.yc=function(a,b){return this.evaluate(a)==this.evaluate(b)};A.Ac=function(a){for(var b,c=0;c<arguments.length;c++)b=this.evaluate(arguments[c]);return b};
A.Ec=function(a,b,c){a=this.evaluate(a);b=this.evaluate(b);c=this.evaluate(c);var d=this.A();if("string"==typeof b)for(var e=0;e<b.length;e++){d.set(a,e);var f=this.da(c);if(f instanceof g){if("break"==f.o)break;if("return"==f.o)return f}}else if(b instanceof v||b instanceof t||b instanceof u){var h=b.C(),k=Number(h.get("length"));for(e=0;e<k;e++)if(d.set(a,h.get(e)),f=this.da(c),f instanceof g){if("break"==f.o)break;if("return"==f.o)return f}}};A.get=function(a){return this.A().get(this.evaluate(a))};
A.qb=function(a,b){var c;a=this.evaluate(a);b=this.evaluate(b);if(void 0===a||null===a)throw"TypeError: cannot access property of "+a+".";a instanceof v||a instanceof t||a instanceof u?c=a.get(b):"string"==typeof a&&("length"==b?c=a.length:ba(b)&&(c=a[b]));return c};A.Gc=function(a,b){return this.evaluate(a)>this.evaluate(b)};A.Hc=function(a,b){return this.evaluate(a)>=this.evaluate(b)};A.Lc=function(a,b){return this.evaluate(a)===this.evaluate(b)};A.Mc=function(a,b){return this.evaluate(a)!==this.evaluate(b)};
A["if"]=function(a,b,c){var d=[];this.evaluate(a)?d=this.evaluate(b):c&&(d=this.evaluate(c));var e=this.da(d);if(e instanceof g)return e};A.Sc=function(a,b){return this.evaluate(a)<this.evaluate(b)};A.Tc=function(a,b){return this.evaluate(a)<=this.evaluate(b)};A.Uc=function(a,b){return this.evaluate(a)%this.evaluate(b)};A.multiply=function(a,b){return this.evaluate(a)*this.evaluate(b)};A.Vc=function(a){return-this.evaluate(a)};A.Wc=function(a){return!this.evaluate(a)};
A.Xc=function(a,b){return this.evaluate(a)!=this.evaluate(b)};A["null"]=function(){return null};A.or=function(a,b){return this.evaluate(a)||this.evaluate(b)};A.zb=function(a,b){var c=this.evaluate(a);this.evaluate(b);return c};A.Ab=function(a){return this.evaluate(a)};A.quote=function(a){return Array.prototype.slice.apply(arguments)};A["return"]=function(a){return new g("return",this.evaluate(a))};
A.setProperty=function(a,b,c){a=this.evaluate(a);b=this.evaluate(b);c=this.evaluate(c);if(null===a||void 0===a)throw"TypeError: Can't set property "+b+" of "+a+".";(a instanceof u||a instanceof t||a instanceof v)&&a.set(b,c);return c};A.nd=function(a,b){return this.evaluate(a)-this.evaluate(b)};
A["switch"]=function(a,b,c){a=this.evaluate(a);b=this.evaluate(b);c=this.evaluate(c);if(!ia(b)||!ia(c))throw"Error: Malformed switch instruction.";for(var d,e=!1,f=0;f<b.length;f++)if(e||a===this.evaluate(b[f]))if(d=this.evaluate(c[f]),d instanceof g){var h=d.o;if("break"==h)return;if("return"==h||"continue"==h)return d}else e=!0;if(c.length==b.length+1&&(d=this.evaluate(c[c.length-1]),d instanceof g&&("return"==d.o||"continue"==d.o)))return d};
A.pd=function(a,b,c){return this.evaluate(a)?this.evaluate(b):this.evaluate(c)};A["typeof"]=function(a){a=this.evaluate(a);return a instanceof u?"function":typeof a};A.undefined=function(){};A["var"]=function(a){for(var b=this.A(),c=0;c<arguments.length;c++){var d=arguments[c];"string"!=typeof d||b.add(d,void 0)}};
A["while"]=function(a,b,c,d){var e,f=this.evaluate(d);if(this.evaluate(c)&&(e=this.da(f),e instanceof g)){if("break"==e.o)return;if("return"==e.o)return e}for(;this.evaluate(a);){e=this.da(f);if(e instanceof g){if("break"==e.o)break;if("return"==e.o)return e}this.evaluate(b)}};var C=function(){this.sb=!1;this.S=new va;this.T=new v;Aa(this);this.w([A.ia.VAR,"gtmUtils"]);this.w([A.ia.ASSIGN,"gtmUtils",this.T]);this.sb=!0};C.prototype.Qc=function(){return this.sb};C.prototype.isInitialized=C.prototype.Qc;C.prototype.w=function(a){return this.S.w.apply(this.S,a)};C.prototype.execute=C.prototype.w;
var Aa=function(a){function b(a,b){e.S.ib(a,String(b))}function c(a,b){e.S.D(String(d[a]),b)}var d=A.ia,e=a;b("control",d.CONTROL);b("fn",d.FN);b("list",d.CREATE_ARRAY);b("map",d.CREATE_OBJECT);b("undefined",d.UNDEFINED);c("ADD",A.add);c("AND",A.and);c("APPLY",A.apply);c("ASSIGN",A.assign);c("BREAK",A["break"]);c("CASE",A["case"]);c("CONTINUE",A["continue"]);c("DEFAULT",A["case"]);c("DEFN",A.sc);c("DIVIDE",A.wc);c("EQUALS",A.yc);c("EXPRESSION_LIST",A.Ac);c("FOR_IN",A.Ec);c("GET",A.get);c("GET_INDEX",
A.qb);c("GET_PROPERTY",A.qb);c("GREATER_THAN",A.Gc);c("GREATER_THAN_EQUALS",A.Hc);c("IDENTITY_EQUALS",A.Lc);c("IDENTITY_NOT_EQUALS",A.Mc);c("IF",A["if"]);c("LESS_THAN",A.Sc);c("LESS_THAN_EQUALS",A.Tc);c("MODULUS",A.Uc);c("MULTIPLY",A.multiply);c("NEGATE",A.Vc);c("NOT",A.Wc);c("NOT_EQUALS",A.Xc);c("NULL",A["null"]);c("OR",A.or);c("POST_DECREMENT",A.zb);c("POST_INCREMENT",A.zb);c("PRE_DECREMENT",A.Ab);c("PRE_INCREMENT",A.Ab);c("QUOTE",A.quote);c("RETURN",A["return"]);c("SET_PROPERTY",A.setProperty);
c("SUBTRACT",A.nd);c("SWITCH",A["switch"]);c("TERNARY",A.pd);c("TYPEOF",A["typeof"]);c("VAR",A["var"]);c("WHILE",A["while"])};C.prototype.Pb=function(a){this.S.D(String(A.ia.GET_CONTAINER_VARIABLE),a)};C.prototype.addContainerVariableInstruction=C.prototype.Pb;C.prototype.Qb=function(a,b){for(var c=new v,d=b.C(),e=Number(d.get("length")),f=0;f<e;f++){var h=d.get(f);c.set(h,b.get(h))}c.J=!0;b.set("base",c);this.T.set(a,b)};C.prototype.addLibrary=C.prototype.Qb;
C.prototype.D=function(a,b){this.S.D(a,b)};C.prototype.addInstruction=C.prototype.D;C.prototype.Bc=function(a){a&&this.w([a,this.T]);for(var b=this.T.C(),c=Number(b.get("length")),d=0;d<c;d++){var e=b.get(d);this.T.get(e).J=!0}this.T.J=!0};C.prototype.finalize=C.prototype.Bc;var Ba=function(){this.za={}};Ba.prototype.get=function(a){return this.za.hasOwnProperty(a)?this.za[a]:void 0};Ba.prototype.add=function(a,b){if(this.za.hasOwnProperty(a))throw"Attempting to add a function which already exists: "+a+".";var c=new u(a,function(){for(var a=Array.prototype.slice.call(arguments,0),c=0;c<a.length;c++)a[c]=this.evaluate(a[c]);return b.apply(this,a)});c.J=!0;this.za[a]=c};Ba.prototype.addAll=function(a){for(var b in a)a.hasOwnProperty(b)&&this.add(b,a[b])};var E=window,I=document,Ca=function(a,b){var c=E[a];E[a]=void 0===c?b:c;return E[a]},Ea=function(a){var b=I.getElementsByTagName("script")[0]||I.body||I.head;b.parentNode.insertBefore(a,b)},Fa=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},N=function(a,b,c){var d=I.createElement("script");d.type="text/javascript";d.async=!0;d.src=a;Fa(d,b);c&&(d.onerror=c);Ea(d);return d},Ga=function(a,b){var c=
I.createElement("iframe");c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";Ea(c);Fa(c,b);void 0!==a&&(c.src=a);return c},Ha=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a},Ia=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):a.attachEvent&&a.attachEvent("on"+b,c)},Ja=function(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},
O=function(a){E.setTimeout(a,0)},La=function(a){var b=I.getElementById(a);if(b&&Ka(b,"id")!=a)for(var c=1;c<document.all[a].length;c++)if(Ka(document.all[a][c],"id")==a)return document.all[a][c];return b},Ka=function(a,b){return a&&b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},Ma=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},Na=function(a){var b=I.createElement("div");
b.innerHTML="A<div>"+a+"</div>";b=b.lastChild;for(var c=[];b.firstChild;)c.push(b.removeChild(b.firstChild));return c},Oa=function(a){window.console&&window.console.log&&window.console.log(a)};var Pa=function(a,b){for(var c=a.split("&"),d=0;d<c.length;d++){var e=c[d].split("=");if(decodeURIComponent(e[0]).replace(/\+/g," ")==b)return decodeURIComponent(e.slice(1).join("=")).replace(/\+/g," ")}},Q=function(a,b,c,d,e){var f,h=a.protocol||E.location.protocol;h=h.replace(":","").toLowerCase();b&&(b=String(b).toLowerCase());switch(b){case "protocol":f=h;break;case "host":f=(a.hostname||E.location.hostname).split(":")[0].toLowerCase();if(c){var k=/^www\d*\./.exec(f);k&&k[0]&&(f=f.substr(k[0].length))}break;
case "port":f=String(1*(a.hostname?a.port:E.location.port)||("http"==h?80:"https"==h?443:""));break;case "path":f="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var l=f.split("/");0<=ja(d||[],l[l.length-1])&&(l[l.length-1]="");f=l.join("/");break;case "query":f=a.search.replace("?","");e&&(f=Pa(f,e));break;case "fragment":f=a.hash.replace("#","");break;default:f=a&&a.href}return f},Qa=function(a){var b="";a&&a.href&&(b=a.hash?a.href.replace(a.hash,""):a.href);return b},T=function(a){var b=
I.createElement("a");a&&(b.href=a);return b};var Ta=function(){this.yb=new C;var a=new Ba;a.addAll(Ra());Sa(this,function(b){return a.get(b)})},Ra=function(){return{callInWindow:Ua,getCurrentUrl:Va,getInWindow:Wa,getReferrer:Xa,getUrlComponent:Ya,getUrlFragment:Za,isPlainObject:$a,loadIframe:ab,loadJavaScript:bb,removeUrlFragment:cb,replaceAll:db,sendTrackingBeacon:eb,setInWindow:fb}};Ta.prototype.w=function(a){return this.yb.w(a)};Ta.prototype.execute=Ta.prototype.w;var Sa=function(a,b){a.yb.D("require",b)};
function Ua(a,b){for(var c=a.split("."),d=E,e=d[c[0]],f=1;e&&f<c.length;f++)d=e,e=e[c[f]];if("function"==na(e)){var h=[];for(f=1;f<arguments.length;f++)h.push(ra(arguments[f]));e.apply(d,h)}}function Va(){return E.location.href}function Wa(a,b,c){for(var d=a.split("."),e=E,f=0;f<d.length-1;f++)if(e=e[d[f]],void 0===e||null===e)return;b&&(void 0===e[d[f]]||c&&!e[d[f]])&&(e[d[f]]=ra(b));return ta(e[d[f]])}function Xa(){return I.referrer}
function Ya(a,b,c,d,e){var f;if(d&&d instanceof t){f=[];for(var h=Number(d.get("length")),k=0;k<h;k++){var l=d.get(k);"string"==typeof l&&f.push(l)}}return Q(T(a),b,c,f,e)}function Za(a){return Q(T(a),"fragment")}function $a(a){return a instanceof v}function ab(a,b){var c=this.A();Ga(a,function(){b instanceof u&&b.i(c)})}var gb={};
function bb(a,b,c,d){var e=this.A(),f=function(){b instanceof u&&b.i(e)},h=function(){c instanceof u&&c.i(e)};d?gb[d]?(gb[d].onSuccess.push(f),gb[d].onFailure.push(h)):(gb[d]={onSuccess:[f],onFailure:[h]},N(a,function(){for(var a=gb[d].onSuccess,b=0;b<a.length;b++)O(a[b]);a.push=function(a){O(a);return 0}},function(){for(var a=gb[d].onFailure,b=0;b<a.length;b++)O(a[b]);gb[d]=null})):N(a,f,h)}function cb(a){return Qa(T(a))}function db(a,b,c){return a.replace(new RegExp(b,"g"),c)}
function eb(a,b,c){var d=this.A();Ha(a,function(){b instanceof u&&b.i(d)},function(){c instanceof u&&c.i(d)})}function fb(a,b,c){for(var d=a.split("."),e=E,f=0;f<d.length-1;f++)if(e=e[d[f]],void 0===e)return!1;return void 0===e[d[f]]||c?(e[d[f]]=ra(b),!0):!1};var Db,Eb=[],Fb=[],Gb=[],Hb=[],Ib=[],Jb={},Kb,Lb,Mb=function(a){var b=a["function"];if(!b)throw"Error: No function name given for function call.";if(Jb[b]){var c={},d;for(d in a)a.hasOwnProperty(d)&&0===d.indexOf("vtp_")&&(c[d]=a[d]);return Jb[b](c)}var e=new v,f;for(f in a)a.hasOwnProperty(f)&&0===f.indexOf("vtp_")&&e.set(f.substr(4),ta(a[f]));var h=Db([b,e]);h instanceof g&&"return"===h.o&&(h=h.getData());return ra(h)},Ob=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=
Nb(a[e],b,c));return d},Nb=function(a,b,c){if(ia(a)){var d;switch(a[0]){case "function_id":return a[1];case "list":d=[];for(var e=1;e<a.length;e++)d.push(Nb(a[e],b,c));return d;case "macro":var f=a[1];if(c[f])return;var h=Eb[f];if(!h||b(h))return;c[f]=!0;d=Mb(Ob(h,b,c));c[f]=!1;return d;case "map":d={};for(var k=1;k<a.length;k+=2)d[Nb(a[k],b,c)]=Nb(a[k+1],b,c);return d;case "template":d=[];for(var l=!1,m=1;m<a.length;m++){var n=Nb(a[m],b,c);Lb&&(l=l||n===Lb.oa);d.push(n)}return Lb&&l?Lb.nc(d):d.join("");
case "escape":d=Nb(a[1],b,c);if(Lb&&ia(a[1])&&"macro"===a[1][0]&&Lb.Rc(a))return Lb.ad(d);d=String(d);for(var p=2;p<a.length;p++)hb[a[p]]&&(d=hb[a[p]](d));return d;case "tag":var q=a[1];if(!Hb[q])throw Error("Unable to resolve tag reference "+q+".");return d={nb:a[2],index:q};default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a};var Pb=null,Sb=function(a){function b(a){for(var b=0;b<a.length;b++)d[a[b]]=!0}var c=[],d=[];Pb=Qb(a);for(var e=0;e<Fb.length;e++){var f=Fb[e],h=Rb(f);if(h){for(var k=f.add||[],l=0;l<k.length;l++)c[k[l]]=!0;b(f.block||[])}else null===h&&b(f.block||[])}var m=[];for(e=0;e<Hb.length;e++)c[e]&&!d[e]&&(m[e]=!0);return m},Rb=function(a){for(var b=a["if"]||[],c=0;c<b.length;c++){var d=Pb(b[c]);if(!d)return null===d?null:!1}var e=a.unless||[];for(c=0;c<e.length;c++){d=Pb(e[c]);if(null===d)return null;if(d)return!1}return!0};
var Qb=function(a){var b=[];return function(c){if(void 0===b[c]){var d;a:{var e=Gb[c];if(a(e))d=!1;else{try{d=Kb(Ob(e,a,void 0));break a}catch(f){JSON.stringify(e)}d=null}}b[c]=d}return b[c]}};/*
 Copyright (c) 2014 Derek Brans, MIT license https://github.com/krux/postscribe/blob/master/LICENSE. Portions derived from simplehtmlparser, which is licensed under the Apache License, Version 2.0 */
var Vb={},Wb=null;Vb.I="UA-83002992-2";var Xb=null,Yb={},Zb={};var $b=function(){},ac=function(a){return"function"==typeof a},bc=function(a){return"string"==na(a)},cc=function(a){return"number"==na(a)&&!isNaN(a)},dc=function(a){return Math.round(Number(a))||0},ec=function(a){return"false"==String(a).toLowerCase()?!1:!!a},fc=function(a){var b=[];if(ia(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},gc=function(a){return a?a.replace(/^\s+|\s+$/g,""):""},hc=function(a,b){if(!cc(a)||!cc(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+
a)},ic=function(){this.prefix="gtm.";this.values={}};ic.prototype.set=function(a,b){this.values[this.prefix+a]=b};ic.prototype.get=function(a){return this.values[this.prefix+a]};ic.prototype.contains=function(a){return void 0!==this.get(a)};var jc=function(){var a=Wb.sequence||0;Wb.sequence=a+1;return a},kc=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},mc=function(a){var b=!1;return function(){if(!b)try{a()}catch(c){}b=!0}};var nc=function(){var a=function(a){return{toString:function(){return a}}};return{O:a("function"),Gb:a("instance_name"),Hb:a("live_only"),wd:a("malware_disabled"),Ib:a("once_per_event"),fb:a("once_per_load"),Jb:a("setup_tags"),Kb:a("tag_id"),Lb:a("teardown_tags")}}();var oc=new ic,pc={},sc={set:function(a,b){qa(qc(a,b),pc)},get:function(a){return rc(a,2)},reset:function(){oc=new ic;pc={}}},rc=function(a,b){return 2!=b?oc.get(a):tc(a)},tc=function(a,b,c){var d=a.split(".");var e=function(a,b){for(var c=0;void 0!==a&&c<d.length;c++){if(null===a)return!1;a=a[d[c]]}return void 0!==a||1<c?a:b.length?e(uc(b.pop()),b):vc(d)};return e(pc.eventModel,[b,c]);return vc(d)},vc=function(a){for(var b=pc,c=0;c<a.length;c++){if(null===
b)return!1;if(void 0===b)break;b=b[a[c]]}return b};var uc=function(a){if(a){var b=vc(["gtag","targets",a]);return pa(b)?b:void 0}},wc=function(a,b){function c(a){if(a)for(var b in a)a.hasOwnProperty(b)&&(d[b]=null)}var d={};c(pc);delete d.eventModel;c(uc(a));c(uc(b));c(pc.eventModel);var e=[],f;for(f in d)d.hasOwnProperty(f)&&e.push(f);return e};
var xc=function(a,b){oc.set(a,b);qa(qc(a,b),pc)},qc=function(a,b){for(var c={},d=c,e=a.split("."),f=0;f<e.length-1;f++)d=d[e[f]]={};d[e[e.length-1]]=b;return c};var yc=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),zc={customPixels:["nonGooglePixels"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},Ac={customPixels:["customScripts","html"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels",
"customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},Bc=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c};
var Cc=function(){var a=rc("gtm.whitelist");a="gtagua gtagaw gtagfl e v oid op cn css ew eq ge gt lc le lt re sw um".split(" ");var b=a&&Bc(fc(a),zc),c=rc("gtm.blacklist")||rc("tagTypeBlacklist")||[];
yc.test(E.location&&E.location.hostname)&&(c=fc(c),c.push("nonGooglePixels","nonGoogleScripts"));var d=c&&Bc(fc(c),Ac),e={};return function(f){var h=f&&f[nc.O];if(!h||"string"!=typeof h)return!0;h=h.replace(/_/g,"");if(void 0!==e[h])return e[h];var k=Zb[h]||[],l=!0;if(a)a:{if(0>ja(b,h))if(k&&0<k.length)for(var m=0;m<k.length;m++){if(0>ja(b,k[m])){l=!1;break a}}else{l=!1;break a}l=!0}var n=!1;if(c){var p;if(!(p=0<=ja(d,h)))a:{for(var q=
k||[],x=new ic,r=0;r<d.length;r++)x.set(d[r],!0);for(r=0;r<q.length;r++)if(x.get(q[r])){p=!0;break a}p=!1}n=p}return e[h]=!l||n}};var Dc=!1,Ec=0,Fc=[];function Gc(a){if(!Dc){var b=I.createEventObject,c="complete"==I.readyState,d="interactive"==I.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){Dc=!0;for(var e=0;e<Fc.length;e++)O(Fc[e])}Fc.push=function(){for(var a=0;a<arguments.length;a++)O(arguments[a]);return 0}}}function Hc(){if(!Dc&&140>Ec){Ec++;try{I.documentElement.doScroll("left"),Gc()}catch(a){E.setTimeout(Hc,50)}}}var Ic=function(a){Dc?a():Fc.push(a)};function Mc(a,b,c,d,e,f){var h=Hb[a],k=Nc(a,b,c,d,e,f);if(!k)return null;var l=Nb(h[nc.Jb],f.ja,[]);if(l&&l.length){var m=l[0];k=Mc(m.index,b,k,1===m.nb?e:k,e,f)}return k}
function Nc(a,b,c,d,e,f){function h(){var a=Ob(k,f.ja);a.vtp_gtmOnSuccess=c;a.vtp_gtmOnFailure=d;Mb(a)}var k=Hb[a];if(f.ja(k))return null;var l=Nb(k[nc.Lb],f.ja,[]);if(l&&l.length){var m=l[0],n=Mc(m.index,b,c,d,e,f);if(!n)return null;c=n;d=2===m.nb?e:n}if(k[nc.fb]||k[nc.Ib]){var p=k[nc.fb]?Ib:b,q=c,x=d;if(!p[a]){h=mc(h);var r=Oc(a,p,h);c=r.H;d=r.V}return function(){p[a](q,x)}}return h}
function Oc(a,b,c){var d=[],e=[];b[a]=Pc(d,e,c);return{H:function(){b[a]=Qc;for(var c=0;c<d.length;c++)d[c]()},V:function(){b[a]=Rc;for(var c=0;c<e.length;c++)e[c]()}}}function Pc(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function Qc(a){a()}function Rc(a,b){b()};function Sc(a){var b=0,c=0,d=!1;return{add:function(){c++;return mc(function(){b++;d&&b>=c&&a()})},Wb:function(){d=!0;b>=c&&a()}}}function Tc(a,b){return function(){try{a()}catch(c){b()}}}var Uc=!1;var Vc=function(a,b){var c={};c[nc.O]="__"+a;for(var d in b)b.hasOwnProperty(d)&&(c["vtp_"+d]=b[d]);for(d in void 0)(void 0).hasOwnProperty(d)&&(c[d]=(void 0)[d]);Hb.push(c);return Hb.length-1};var Wc=/[A-Z]+/,Xc=/\s/,Yc=function(a){if(bc(a)&&(a=a.trim(),!Xc.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if(Wc.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],ha:d}}}}};var Zc=null,$c={},ad={},bd;function cd(){Zc=Zc||!Wb.gtagRegistered;Wb.gtagRegistered=!0;return Zc}var dd=function(a,b){var c={event:a};b&&(c.eventModel=qa(b,void 0),b.event_callback&&(c.eventCallback=b.event_callback),b.event_timeout&&(c.eventTimeout=b.event_timeout));return c};
function ed(a){if(void 0===ad[a.id]){var b;if("UA"==a.prefix)b=Vc("gtagua",{trackingId:a.id});else if("AW"==a.prefix)b=Vc("gtagaw",{conversionId:a});else if("DC"==a.prefix)b=Vc("gtagfl",{targetId:a.id});else return;if(!bd){var c={name:"send_to",dataLayerVersion:2},d={};d[nc.O]="__v";for(var e in c)c.hasOwnProperty(e)&&(d["vtp_"+e]=c[e]);Eb.push(d);bd=["macro",Eb.length-1]}var f={arg0:bd,arg1:a.id,ignore_case:!1};f[nc.O]="_lc";Gb.push(f);var h={"if":[Gb.length-1],add:[b]};h["if"]&&(h.add||h.block)&&
Fb.push(h);ad[a.id]=b}}
var gd={event:function(a){var b=a[1];if(bc(b)&&!(3<a.length)){var c;if(2<a.length){if(!pa(a[2]))return;c=a[2]}var d=dd(b,c);var e;var f=c,h=rc("gtag.fields.send_to",2);bc(h)||(h="send_to");var k=f&&f[h];void 0===k&&(k=rc(h,2),void 0===k&&(k="default"));if(bc(k)||ia(k)){for(var l,m=k.toString().replace(/\s+/g,"").split(","),n=[],p=0;p<m.length;p++)0<=m[p].indexOf("-")?n.push(m[p]):n=n.concat($c[m[p]]||[]);l=n;for(var q={},x=0;x<l.length;++x){var r=Yc(l[x]);r&&(q[r.id]=
r)}var y=[],M;for(M in q)if(q.hasOwnProperty(M)){var ha=q[M];"AW"===ha.prefix&&ha.ha[1]&&y.push(ha.containerId)}for(var D=0;D<y.length;++D)delete q[y[D]];var R=[],B;for(B in q)q.hasOwnProperty(B)&&R.push(q[B]);e=R}else e=void 0;if(!e)return;var L=cd();L||fd();for(var H=[],J=0;L&&J<e.length;J++){var F=e[J];H.push(F.id);ed(F)}d.eventModel=d.eventModel||{};0<e.length?d.eventModel.send_to=H.join():delete d.eventModel.send_to;return d}},set:function(a){var b;2==a.length&&pa(a[1])?
b=qa(a[1],void 0):3==a.length&&bc(a[1])&&(b={},b[a[1]]=a[2]);if(b)return b.eventModel=qa(b,void 0),b.event="gtag.set",b._clear=!0,b},js:function(a){if(2==a.length&&a[1].getTime)return{event:"gtm.js","gtm.start":a[1].getTime()}},config:function(a){var b=a[2]||{};if(2>a.length||!bc(a[1])||!pa(b))return;var c=Yc(a[1]);if(!c)return;cd()?ed(c):fd();var d=c.id,e;for(e in $c)if($c.hasOwnProperty(e)){var f=ja($c[e],d);0<=f&&$c[e].splice(f,1)}var h=c.id,k=b.groups||"default";
k=k.toString().split(",");for(var l=0;l<k.length;l++)$c[k[l]]=$c[k[l]]||[],$c[k[l]].push(h);delete b.groups;xc("gtag.targets."+c.id,void 0);xc("gtag.targets."+c.id,qa(b,void 0));return dd("gtag.config",{send_to:c.id});}},fd=mc(function(){});var hd=!1,id=[];function jd(){if(!hd){hd=!0;for(var a=0;a<id.length;a++)O(id[a])}};var kd=[],ld=!1,md=function(a){var b=a.eventCallback,c=mc(function(){ac(b)&&O(function(){b(Vb.I)})}),d=a.eventTimeout;d&&E.setTimeout(c,Number(d));return c},nd=function(){for(var a=!1;!ld&&0<kd.length;){ld=!0;delete pc.eventModel;var b=kd.shift();if(ac(b))try{b.call(sc)}catch(rd){}else if(ia(b)){var c=b;if(bc(c[0])){var d=c[0].split("."),e=d.pop(),f=c.slice(1),h=rc(d.join("."),2);if(void 0!==h&&null!==h)try{h[e].apply(h,f)}catch(rd){}}}else{var k=b;if(k&&("[object Arguments]"==Object.prototype.toString.call(k)||
Object.prototype.hasOwnProperty.call(k,"callee"))){a:{var l=b;if(l.length&&bc(l[0])){var m=gd[l[0]];if(m){b=m(l);break a}}b=void 0}if(!b){ld=!1;continue}}var n,p=void 0,q=b,x=q._clear;for(p in q)q.hasOwnProperty(p)&&"_clear"!==p&&(x&&xc(p,void 0),xc(p,q[p]));var r=!1,y=q.event;if(y){n=jc();Xb=y;q["gtm.uniqueEventId"]||xc("gtm.uniqueEventId",n);var M=md(q);a:{var ha=n,D=y,R=M;switch(D){case "gtm.js":if(Uc){r=!1;break a}Uc=!0}var B={id:ha,name:D,ic:R||$b,ja:Cc()};B.Va=Sb(B.ja);for(var K=B,G=Sc(K.ic),S=[],P=[],da=0;da<K.Va.length;da++)if(K.Va[da]){var Da=Hb[da];var sa=G.add();try{var ob=Mc(da,S,sa,sa,sa,K);ob?P.push(Tc(ob,sa)):sa()}catch(rd){sa()}}G.Wb();for(var lc=0;lc<P.length;lc++)P[lc]();r=0<P.length}}Xb=null;a=r||a}ld=!1}return!a},
od=function(){return nd()};var U={};U.oa=new String("undefined");U.Ea={};var pd=function(a){this.resolve=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===U.oa?b:a[d]);return c.join("")}};pd.prototype.toString=function(){return this.resolve("undefined")};pd.prototype.valueOf=pd.prototype.toString;U.nc=function(a){return new pd(a)};var qd={};U.fd=function(a,b){var c=jc();qd[c]=[a,b];return c};U.jb=function(a){var b=a?0:1;return function(a){var c=qd[a];if(c&&"function"===typeof c[b])c[b]();qd[a]=void 0}};
U.Rc=function(a){for(var b=!1,c=!1,d=2;d<a.length;d++)b=b||8===a[d],c=c||16===a[d];return b&&c};U.ad=function(a){if(a===U.oa)return a;var b=jc();U.Ea[b]=a;return'google_tag_manager["'+Vb.I+'"].macro('+b+")"};U.Mb=pd;var sd=new ic,td=function(a,b){function c(a){var b=T(a),c=Q(b,"protocol"),d=Q(b,"host",!0),e=Q(b,"port"),f=Q(b,"path").toLowerCase().replace(/\/$/,"");if(void 0===c||"http"==c&&"80"==e||"https"==c&&"443"==e)c="web",e="default";return[c,d,e,f]}for(var d=c(String(a)),e=c(String(b)),f=0;f<d.length;f++)if(d[f]!==e[f])return!1;return!0};
function ud(a){var b=a.arg0,c=a.arg1;switch(a["function"]){case "_cn":return 0<=String(b).indexOf(String(c));case "_css":var d;a:{if(b){var e=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var f=0;f<e.length;f++)if(b[e[f]]){d=b[e[f]](c);break a}}catch(r){}}d=!1}return d;case "_ew":var h,k;h=String(b);k=String(c);var l=h.length-k.length;return 0<=l&&h.indexOf(k,l)==l;case "_eq":return String(b)==String(c);case "_ge":return Number(b)>=Number(c);
case "_gt":return Number(b)>Number(c);case "_lc":var m;m=b.toString().split(",");return 0<=ja(m,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":var n;var p=a.ignore_case?"i":void 0;try{var q=String(c)+p,x=sd.get(q);x||(x=new RegExp(c,p),sd.set(q,x));n=x.test(b)}catch(r){n=!1}return n;case "_sw":return 0==String(b).indexOf(String(c));case "_um":return td(b,c)}return!1};function vd(a,b,c,d){return(d||"https:"==E.location.protocol?a:b)+c}function wd(a,b){for(var c=b||(a instanceof t?new t:new v),d=a.C(),e=Number(d.get("length")),f=0;f<e;f++){var h=d.get(f);if(a.has(h)){var k=a.get(h);k instanceof t?(c.get(h)instanceof t||c.set(h,new t),wd(k,c.get(h))):k instanceof v?(c.get(h)instanceof v||c.set(h,new v),wd(k,c.get(h))):c.set(h,k)}}return c}function xd(){return Vb.I}function yd(){return(new Date).getTime()}function zd(a,b){return ta(rc(a,b||2))}
function Ad(){return Xb}function Bd(a){return Na('<a href="'+a+'"></a>')[0].href}function Cd(a){return dc(ra(a))}function Dd(a){return null===a?"null":void 0===a?"undefined":a.toString()}function Ed(a,b){return hc(a,b)}function Fd(a,b,c){if(!(a instanceof t))return null;for(var d=new v,e=!1,f=a.get("length"),h=0;h<f;h++){var k=a.get(h);k instanceof v&&k.has(b)&&k.has(c)&&(d.set(k.get(b),k.get(c)),e=!0)}return e?d:null}
var Gd=function(){var a=new Ba;a.addAll(Ra());a.addAll({buildSafeUrl:vd,decodeHtmlUrl:Bd,copy:wd,generateUniqueNumber:jc,getContainerId:xd,getCurrentTime:yd,getDataLayerValue:zd,getEventName:Ad,makeInteger:Cd,makeString:Dd,randomInteger:Ed,tableToMap:Fd});return function(b){return a.get(b)}};var Hd=new Ta;var Id=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d};var Jd=function(a){return encodeURIComponent(a)},Kd=function(a){var b=["veinteractive.com","ve-interactive.cn"];if(!a)return!1;var c=Q(T(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var f=c.length-e.length;0<f&&"."!=e.charAt(0)&&(f--,e="."+e);if(0<=f&&c.indexOf(e,f)==f)return!0}}return!1};
var V=function(a,b,c){for(var d={},e=!1,f=0;a&&f<a.length;f++)a[f]&&a[f].hasOwnProperty(b)&&a[f].hasOwnProperty(c)&&(d[a[f][b]]=a[f][c],e=!0);return e?d:null},Ld=function(a,b){qa(a,b)},Md=function(a){return dc(a)},Nd=function(a,b){return ja(a,b)};var Od=function(a){var b={"gtm.element":a,"gtm.elementClasses":a.className,"gtm.elementId":a["for"]||Ka(a,"id")||"","gtm.elementTarget":a.formTarget||a.target||""};b["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||a.href||a.src||a.code||a.codebase||"";return b},Pd=function(a){Wb.hasOwnProperty("autoEventsSettings")||(Wb.autoEventsSettings={});var b=Wb.autoEventsSettings;b.hasOwnProperty(a)||(b[a]={});return b[a]},Qd=function(a,b,c,d){var e=Pd(a),f=kc(e,b,d);e[b]=
c(f)},Rd=function(a,b,c){var d=Pd(a);return kc(d,b,c)};var Sd=/(^|\.)doubleclick\.net$/i,Td=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,Ud=function(a,b,c){for(var d=String(b||I.cookie).split(";"),e=[],f=0;f<d.length;f++){var h=d[f].split("="),k=gc(h[0]);if(k&&k==a){var l=gc(h.slice(1).join("="));l&&!1!==c&&(l=decodeURIComponent(l));e.push(l)}}return e},Vd=function(a,b,c,d,e){b=encodeURIComponent(b);var f=a+"="+b+"; ";c&&(f+="path="+c+"; ");e&&(f+="expires="+e.toGMTString()+"; ");var h,k;if("auto"==d){var l=Q(E.location,"host",!0).split(".");if(4==l.length&&
/^[0-9]*$/.exec(l[3]))k=["none"];else{for(var m=[],n=l.length-2;0<=n;n--)m.push(l.slice(n).join("."));m.push("none");k=m}}else k=[d||"none"];h=k;for(var p=I.cookie,q=0;q<h.length;q++){var x=f,r=h[q],y=c;if(Sd.test(E.location.hostname)||"/"==y&&Td.test(r))break;"none"!=h[q]&&(x+="domain="+h[q]+";");I.cookie=x;if(p!=I.cookie||0<=ja(Ud(a),b))break}};var Wd=!1;if(I.querySelectorAll)try{var Xd=I.querySelectorAll(":root");Xd&&1==Xd.length&&Xd[0]==I.documentElement&&(Wd=!0)}catch(a){}var Yd=Wd;var Zd=function(a){for(var b=[],c=I.cookie.split(";"),d=new RegExp("^\\s*"+a+"=\\s*(.*?)\\s*$"),e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push(f[1])}var h=[];if(!b||0==b.length)return h;for(var k=0;k<b.length;k++){var l=b[k].split(".");3==l.length&&"GCL"==l[0]&&l[1]&&h.push(l[2])}return h};var $d=/^\w+$/,ae=/^[\w-]+$/,be=/^\d+\.fls\.doubleclick\.net$/;function ce(a){return a&&"string"==typeof a&&a.match($d)?a:"_gcl"}function de(a){if(a){if("string"==typeof a){var b=ce(a);return{ca:b,ba:b}}if(a&&"object"==typeof a)return{ca:ce(a.dc),ba:ce(a.aw)}}return{ca:"_gcl",ba:"_gcl"}}function ee(a){var b=T(E.location.href),c=Q(b,"host",!1);if(c&&c.match(be)){var d=Q(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function fe(a){return a.filter(function(a){return ae.test(a)})}var he=function(a){var b=ee("gclaw");if(b)return b.split(".");var c=de(a);if("_gcl"==c.ba){var d=ge();if(d&&(null==d.G||"aw.ds"==d.G))return[d.ea]}return fe(Zd(c.ba+"_aw"))},ie=function(a){var b=ee("gcldc");if(b)return b.split(".");var c=de(a);if("_gcl"==c.ca){var d=ge();if(d&&("ds"==d.G||"aw.ds"==d.G))return[d.ea]}return fe(Zd(c.ca+"_dc"))};
function ge(){var a=T(E.location.href),b=Q(a,"query",!1,void 0,"gclid"),c=Q(a,"query",!1,void 0,"gclsrc");if(!b||!c){var d=Q(a,"fragment");b=b||Pa(d,"gclid");c=c||Pa(d,"gclsrc")}return void 0!==b&&b.match(ae)?{ea:b,G:c}:null}
var je=function(a,b,c){var d=de(a);c=c||"auto";b=b||"/";var e=ge();if(null!=e){var f=(new Date).getTime(),h=new Date(f+7776E6),k=["GCL",Math.round(f/1E3),e.ea].join(".");e.G&&"aw.ds"!=e.G||Vd(d.ba+"_aw",k,b,c,h);"aw.ds"!=e.G&&"ds"!=e.G||Vd(d.ca+"_dc",k,b,c,h)}},ke=function(){var a=ee("gac");if(a)return decodeURIComponent(a);for(var b=[],c=I.cookie.split(";"),d=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push({Ya:f[1],value:f[2]})}var h={};if(b&&b.length)for(var k=
0;k<b.length;k++){var l=b[k].value.split(".");"1"==l[0]&&3==l.length&&l[1]&&(h[b[k].Ya]||(h[b[k].Ya]=[]),h[b[k].Ya].push({timestamp:l[1],ea:l[2]}))}var m=[],n;for(n in h)if(h.hasOwnProperty(n)){for(var p=[],q=h[n],x=0;x<q.length;x++)p.push(q[x].ea);p=fe(p);p.length&&m.push(n+":"+p.join(","))}return m.join(";")};var le;a:{le="g";break a;le="G"}var me={"":"n",UA:"u",AW:"a",DC:"d",GTM:le},ne=function(a){var b=Vb.I.split("-"),c=b[0].toUpperCase();return(me[c]||"i")+"2d"+(a&&"GTM"===c?b[1]:"")};
var oe=function(a){return!(void 0===a||null===a||0===(a+"").length)},pe=function(a,b){var c;if(2===b.B)return a("ord",hc(1E11,1E13)),!0;if(3===b.B)return a("ord","1"),a("num",hc(1E11,1E13)),!0;if(4===b.B)return oe(b.sessionId)&&a("ord",b.sessionId),!0;if(5===b.B)c="1";else if(6===b.B)c=b.Bb;else return!1;oe(c)&&a("qty",c);oe(b.Ia)&&a("cost",b.Ia);oe(b.Za)&&a("ord",b.Za);return!0},qe=encodeURIComponent,re=function(a,b){function c(a,b,c){f.hasOwnProperty(a)||(b+="",e+=";"+a+"="+(c?b:qe(b)))}var d=a.Ja,
e=a.protocol;e+=a.Ca?"//"+d+".fls.doubleclick.net/activityi":"//ad.doubleclick.net/activity";e+=";src="+qe(d)+(";type="+qe(a.Ka))+(";cat="+qe(a.aa));var f=a.qc||{},h;for(h in f)f.hasOwnProperty(h)&&(e+=";"+qe(h)+"="+qe(f[h]+""));if(pe(c,a)){oe(a.ab)&&c("u",a.ab);oe(a.tran)&&c("tran",a.tran);c("gtm",ne());if(a.Ha){var k=ie(a.wa);k&&k.length&&c("gcldc",k.join("."));var l=he(a.wa);l&&l.length&&c("gclaw",l.join("."));var m=ke();m&&c("gac",m)}oe(a.Ra)&&c("prd",a.Ra,!0);for(var n in a.la)a.la.hasOwnProperty(n)&&
c(n,a.la[n]);e+=b||"";oe(a.Aa)&&c("~oref",a.Aa);a.Ca?Ga(e+"?",a.H):Ha(e+"?",a.H,a.V)}else O(a.V)};var se=function(a){E.GoogleAnalyticsObject||(E.GoogleAnalyticsObject=a||"ga");var b=E.GoogleAnalyticsObject;if(!E[b]){var c=function(){c.q=c.q||[];c.q.push(arguments)};c.l=Number(new Date);E[b]=c}return E[b]},te=function(){return E.GoogleAnalyticsObject&&E[E.GoogleAnalyticsObject]},ue=function(a,b,c,d){b=String(b).replace(/\s+/g,"").split(",");var e=te();e(a+"require","linker");e(a+"linker:autoLink",b,c,d)};var Ee="www.googletagmanager.com/gtm.js";Ee="www.googletagmanager.com/gtag/js";
var Fe=Ee,Ge=function(a,b,c,d){Ia(a,b,c,d)},He=function(a,b){return E.setTimeout(a,b)},Ie=function(a,b,c){N(a,b,c)},Je={},Ke=function(a,b,c){var d=Je[a];if(void 0===d){var e=function(a,b){return function(){a.status=b;for(var c=2==b?a.Eb:a.mb,d=0;d<c.length;d++)E.setTimeout(c[d],0)}};d={status:1,Eb:[],mb:[],kd:void 0};d.Kd=N(a,e(d,2),e(d,3));Je[a]=d}0===d.status&&(d.kd(),d.status=2);2===d.status?b&&b():3===d.status?c&&c():1===d.status&&(b&&d.Eb.push(b),c&&d.mb.push(c))},Le=function(){return E.location.href},
Me=function(a){return Q(T(a),"fragment")},W=function(a,b){return rc(a,b||2)},Ne=function(a,b,c){b&&(a.eventCallback=b,c&&(a.eventTimeout=c));return E["dataLayer"].push(a)},Oe=function(a,b){E[a]=b},X=function(a,b,c){b&&(void 0===E[a]||c&&!E[a])&&(E[a]=b);return E[a]},Pe=function(a,b){var c;a:{var d;d=100;for(var e={},f=0;f<b.length;f++)e[b[f]]=!0;for(var h=a,k=0;h&&k<=d;k++){if(e[String(h.tagName).toLowerCase()]){c=h;break a}h=h.parentElement}c=null}return c},Y=function(a,b,c,d){var e=!d&&"http:"==
E.location.protocol;e&&(e=2!==Qe());return(e?b:a)+c};
var Re=function(a){var b=0;return b},Se=function(a){},Te=function(a){var b=!1;return b},Ue=function(a,b){var c;a:{if(a&&
ia(a))for(var d=0;d<a.length;d++)if(a[d]&&b(a[d])){c=a[d];break a}c=void 0}return c},Ve=function(a,b,c,d){Qd(a,b,c,d)},We=function(a,b,c){return Rd(a,b,c)},Xe=function(a){return!!Rd(a,"init",!1)},Ye=function(a){Pd(a).init=!0};
var $e=void 0,af=function(a){if(!$e){var b=function(){var a=I.body;if(a)if(X("MutationObserver"))(new MutationObserver(function(){for(var a=0;a<$e.length;a++)O($e[a])})).observe(a,{childList:!0,subtree:!0});else{var b=!1;Ge(a,"DOMNodeInserted",function(){b||(b=!0,O(function(){b=!1;for(var a=0;a<$e.length;a++)O($e[a])}))})}};$e=[];I.body?b():O(b)}$e.push(a)},Qe=function(){var a=Fe;a=a.toLowerCase();for(var b="https://"+a,c="http://"+a,d=1,e=I.getElementsByTagName("script"),f=0;f<e.length&&100>f;f++){var h=
e[f].src;if(h){h=h.toLowerCase();if(0===h.indexOf(c))return 3;1===d&&0===h.indexOf(b)&&(d=2)}}return d};var bf=function(a,b){return tc(a,b,void 0)};var df=function(a,b,c){a instanceof U.Mb&&(a=a.resolve(U.fd(b,c)),b=$b);return{La:a,H:b}};var Z={a:{}};

Z.a.e=["google"],function(){(function(a){Z.__e=a;Z.__e.b="e";Z.__e.g=!0})(function(){return Xb})}();
Z.a.v=["google"],function(){(function(a){Z.__v=a;Z.__v.b="v";Z.__v.g=!0})(function(a){var b=W(a.vtp_name.replace(/\\\./g,"."),a.vtp_dataLayerVersion||1);return void 0!==b?b:a.vtp_defaultValue})}();
Z.a.gtagaw=["google"],function(){var a=!1,b=!1,c=[],d="send_to aw_remarketing aw_remarketing_only custom_params send_page_view language value currency transaction_id user_id conversion_linker conversion_cookie_prefix page_location page_referrer phone_conversion_number phone_conversion_callback phone_conversion_css_class items aw_merchant_id aw_feed_country aw_feed_language discount transaction_id enable_mrc".split(" "),e=function(a){var b=X("google_trackConversion"),c=a.gtm_onFailure;"function"==
typeof b?b(a)||c():c()},f=function(){for(;0<c.length;)e(c.shift())},h=function(){a||(a=!0,Ie(Y("https://","http://","www.googleadservices.com/pagead/conversion_async.js"),function(){f();c={push:e}},function(){f();a=!1}))},k=function(a,c,d,e){if(c){var f=a.ha[0],h=a.ha[1],k=X("_googWcmImpl",function(){k.q=k.q||[];k.q.push(arguments)});X("_googWcmAk",f);b||(b=!0,Ie(Y("https://","http://","www.gstatic.com/wcm/loader.js")));var l={ak:f,cl:h};void 0===d&&(l.autoreplace=c);k(2,d,l,c,e,new Date,e)}},l=function(a){if(a){for(var b=
[],c=0;c<a.length;++c){var d=a[c];d&&b.push({item_id:d.id,quantity:d.quantity,value:d.price})}return b}};(function(a){Z.__gtagaw=a;Z.__gtagaw.b="gtagaw";Z.__gtagaw.g=!0})(function(a){var b=a.vtp_conversionId,e=Xb,f="gtag.config"==e,m=b.ha[0],r=b.ha[1],y=void 0!==r,M=b.containerId,ha=y?b.id:void 0,D=function(a){return tc(a,M,ha)},R=!1!==D("conversion_linker"),B=D("conversion_cookie_prefix");f&&R&&je(B,void 0,void 0);if(f&&y){var L=D("phone_conversion_number"),H=D("phone_conversion_callback"),J=D("phone_conversion_css_class"),
F=D("phone_conversion_options");k(b,L,H||J,F)}var K=!1===D("aw_remarketing")||!1===D("send_page_view");if(!f||!y&&!K){!0===D("aw_remarketing_only")&&(y=!1);var G={google_conversion_id:m,google_remarketing_only:!y,onload_callback:a.vtp_gtmOnSuccess,gtm_onFailure:a.vtp_gtmOnFailure,google_conversion_format:"3",google_conversion_color:"ffffff",google_conversion_domain:"",google_conversion_label:r,google_conversion_language:D("language"),google_conversion_value:D("value"),google_conversion_currency:D("currency"),
google_conversion_order_id:D("transaction_id"),google_user_id:D("user_id"),google_conversion_page_url:D("page_location"),google_conversion_referrer_url:D("page_referrer"),google_gtm:ne(void 0),google_read_gcl_cookie_opt_out:!R};R&&B&&(pa(B)?G.google_gcl_cookie_prefix=B.aw:G.google_gcl_cookie_prefix=B);var S=function(){var a=D("custom_params"),b={event:e};if(ia(a)){for(var c=0;c<a.length;++c){var f=a[c],h=D(f);void 0!==h&&(b[f]=h)}return b}var k=D("eventModel");if(!k)return null;qa(k,b);for(var l=
0;l<d.length;++l)delete b[d[l]];return b}();S&&(G.google_custom_params=S);if(y&&"purchase"==e&&D("aw_merchant_id")){G.google_conversion_merchant_id=D("aw_merchant_id");G.google_basket_feed_country=D("aw_feed_country");G.google_basket_feed_language=D("aw_feed_language");G.google_basket_discount=D("discount");G.google_basket_transaction_type=e;G.google_disable_merchant_reported_conversions=!0!==D("enable_mrc");var P=l(D("items"));P&&(G.google_conversion_items=P)}c.push(G)}h()})}();



Z.a.gtagfl=[],function(){function a(a){var b=/^DC-(\d+)(\/([\w-]+)\/([\w-]+)\+(\w+))?$/.exec(a);if(b){var c={standard:2,unique:3,per_session:4,transactions:5,items_sold:6,"":1}[(b[5]||"").toLowerCase()];if(c)return{containerId:"DC-"+b[1],Fb:b[3]?a:"",Rb:b[1],Ob:b[3]||"",aa:b[4]||"",B:c}}}function b(a,b){function c(b,c,e){void 0!==e&&0!==(e+"").length&&d.push(b+c+":"+a(e+""))}var d=[],e=b("items")||[];if(ia(e))for(var l=0;l<e.length;l++){var m=e[l],n=l+1;c("i",n,m.id);c("p",n,m.price);c("q",n,m.quantity);
c("c",n,b("country"));c("l",n,b("language"))}return d.join("|")}function c(a,b,c){var d=/^u([1-9]\d?|100)$/,e=a("custom_map")||{},f=wc(b,c),m={},n={};if(pa(e))for(var p in e)if(e.hasOwnProperty(p)&&d.test(p)){var q=e[p];bc(q)&&(m[p]=q)}for(var x=0;x<f.length;x++){var r=f[x];d.test(r)&&(m[r]=r)}for(var y in m)m.hasOwnProperty(y)&&(n[y]=a(m[y]));return n}(function(a){Z.__gtagfl=a;Z.__gtagfl.b="gtagfl";Z.__gtagfl.g=!0})(function(d){var e=d.vtp_gtmOnSuccess,f=d.vtp_gtmOnFailure,h=a(d.vtp_targetId);if(h){var k=
function(a){return tc(a,h.containerId,h.Fb||void 0)},l=!1!==k("conversion_linker"),m=k("conversion_cookie_prefix");if("gtag.config"===Xb)l&&je(m,void 0,void 0),O(e);else{var n={},p=k("dc_custom_params");if(pa(p))for(var q in p)if(p.hasOwnProperty(q)){var x=p[q];void 0!==x&&null!==x&&(n[q]=x)}var r="";if(5===h.B||6===h.B)r=b(Jd,k);var y=c(k,h.containerId,h.Fb),M=3===Qe(),ha=!0===k("allow_custom_scripts"),D={aa:h.aa,Ha:l,wa:m,Ia:k("value"),B:h.B,qc:n,Ja:h.Rb,Ka:h.Ob,V:f,H:e,Aa:Qa(T(Le())),Ra:r,protocol:M?
"http:":"https:",Bb:k("quantity"),Ca:ha,sessionId:k("session_id"),Za:k("transaction_id"),la:y};re(D,void 0)}}else O(f)})}();

Z.a.gtagua=["google"],function(){var a,b={client_id:1,client_storage:"storage",cookie_name:1,cookie_domain:1,cookie_expires:1,cookie_update:1,sample_rate:1,site_speed_sample_rate:1,use_amp_client_id:1,store_gac:1,conversion_linker:"storeGac"},c={anonymize_ip:1,app_id:1,app_installer_id:1,app_name:1,app_version:1,campaign:{name:"campaignName",source:"campaignSource",medium:"campaignMedium",term:"campaignTerm",content:"campaignContent",id:"campaignId"},currency:"currencyCode",description:"exDescription",
fatal:"exFatal",language:1,non_interaction:1,page_hostname:"hostname",page_referrer:"referrer",page_path:"page",page_location:"location",page_title:"title",screen_name:1,transport_type:"transport",user_id:1},d={content_id:1,event_category:1,event_action:1,event_label:1,link_attribution:1,linker:1,method:1,name:1,send_page_view:1,value:1},e={cookie_name:1,cookie_expires:"duration",levels:1},f={anonymize_ip:1,fatal:1,non_interaction:1,use_amp_client_id:1,send_page_view:1,store_gac:1,conversion_linker:1},
h=function(a,b,c,d){if(void 0!==c)if(f[b]&&(c=ec(c)),"anonymize_ip"!=b||c||(c=void 0),1===a)d[k(b)]=c;else if(bc(a))d[a]=c;else for(var e in a)a.hasOwnProperty(e)&&void 0!==c[e]&&(d[a[e]]=c[e])},k=function(a){return a&&bc(a)?a.replace(/(_[a-z])/g,function(a){return a[1].toUpperCase()}):a},l=function(a,b,c){a.hasOwnProperty(b)||(a[b]=c)},m=function(a,e,f){var k={},m={},n={},p=bf("custom_map",a);if(pa(p))for(var q in p)if(p.hasOwnProperty(q)&&/^(dimension|metric)\d+$/.test(q)){var r=bf(p[q],a);void 0!==
r&&l(m,q,r)}for(var y=wc(a,void 0),x=0;x<y.length;++x){var F=y[x],K=bf(F,a);d.hasOwnProperty(F)?h(d[F],F,K,k):c.hasOwnProperty(F)?h(c[F],F,K,m):b.hasOwnProperty(F)?h(b[F],F,K,n):/^(dimension|metric|content_group)\d+$/.test(F)&&h(1,F,K,m)}var G=String(Xb);l(n,"cookieDomain","auto");l(m,"forceSSL",!0);var S="general";0<=Nd("add_payment_info add_to_cart add_to_wishlist begin_checkout checkout_progress purchase refund remove_from_cart set_checkout_option".split(" "),G)?S="ecommerce":0<=Nd("generate_lead login search select_content share sign_up view_item view_item_list view_promotion view_search_results".split(" "),
G)?S="engagement":"exception"==G&&(S="error");l(k,"eventCategory",S);0<=Nd(["view_item","view_item_list","view_promotion","view_search_results"],G)&&l(m,"nonInteraction",!0);"login"==G||"sign_up"==G||"share"==G?l(k,"eventLabel",bf("method",a)):"search"==G||"view_search_results"==G?l(k,"eventLabel",bf("search_term",a)):"select_content"==G&&l(k,"eventLabel",bf("content_type",a));var P=k.linker||{};if(P.accept_incoming||0!=P.accept_incoming&&P.domains)n.allowLinker=!0;!1===bf("allow_display_features",
a)&&(m.displayFeaturesTask=null);n.name=e;m["&gtm"]=ne(!0);m.hitCallback=f;k.F=m;k.kb=n;return k},n=function(a){function b(a){var b=qa(a,void 0);b.list=a.list_name;b.listPosition=a.list_position;b.position=a.list_position||a.creative_slot;b.creative=a.creative_name;return b}function c(a){for(var c=[],d=0;a&&d<a.length;d++)a[d]&&c.push(b(a[d]));return c.length?c:void 0}function d(){return{id:e("transaction_id"),affiliation:e("affiliation"),revenue:e("value"),tax:e("tax"),shipping:e("shipping"),coupon:e("coupon"),
list:e("list_name")}}var e=function(b){return tc(b,a,void 0)},f=e("items"),h=e("custom_map");if(pa(h))for(var k=0;f&&k<f.length;++k){var m=f[k],n;for(n in h)h.hasOwnProperty(n)&&/^(dimension|metric)\d+$/.test(n)&&l(m,n,m[h[n]])}var p=null,q=Xb,x=e("promotions");"purchase"==q||"refund"==q?p={action:q,Z:d(),W:c(f)}:"add_to_cart"==q?p={action:"add",W:c(f)}:"remove_from_cart"==q?p={action:"remove",W:c(f)}:"view_item"==q?p={action:"detail",Z:d(),W:c(f)}:"view_item_list"==q?p={action:"impressions",Nc:c(f)}:
"view_promotion"==q?p={action:"promo_view",Sa:c(x)}:"select_content"==q&&x&&0<x.length?p={action:"promo_click",Sa:c(x)}:"select_content"==q?p={action:"click",Z:{list:e("list_name")},W:c(f)}:"begin_checkout"==q||"checkout_progress"==q?p={action:"checkout",W:c(f),Z:{step:"begin_checkout"==q?1:e("checkout_step"),option:e("checkout_option")}}:"set_checkout_option"==q&&(p={action:"checkout_option",Z:{step:e("checkout_step"),option:e("checkout_option")}});p&&(p.Bd=e("currency"));return p},p={},q=function(a,
b){var c=p[a];p[a]=qa(b,void 0);if(!c)return!1;for(var d in b)if(b.hasOwnProperty(d)&&b[d]!==c[d])return!0;for(d in c)if(c.hasOwnProperty(d)&&c[d]!==b[d])return!0;return!1};(function(a){Z.__gtagua=a;Z.__gtagua.b="gtagua";Z.__gtagua.g=!0})(function(b){var c=b.vtp_trackingId,d=se(void 0),f="gtag_"+c.split("-").join("_"),p=function(a){var b=[].slice.call(arguments,0);b[0]=f+"."+b[0];d.apply(window,b)},x=function(){var a=function(a,b){for(var c=0;b&&c<b.length;c++)p(a,b[c])},b=n(c);if(b){var d=b.action;
if("impressions"==d)a("ec:addImpression",b.Nc);else if("promo_click"==d||"promo_view"==d){var e=b.Sa;a("ec:addPromo",b.Sa);e&&0<e.length&&"promo_click"==d&&p("ec:setAction",d)}else a("ec:addProduct",b.W),p("ec:setAction",d,b.Z)}},R=function(){var a=bf("optimize_id",c);a&&(p("require",a,{dataLayer:"dataLayer"}),p("require","render"))},B=m(c,f,b.vtp_gtmOnSuccess);q(f,B.kb)&&d(function(){te()&&te().remove(f)});d("create",c,B.kb);(function(){var a=bf("custom_map",c);d(function(){if(pa(a)){var b=B.F,
c=te().getByName(f),d;for(d in a)if(a.hasOwnProperty(d)&&/^(dimension|metric)\d+$/.test(d)){var e=c.get(k(a[d]));l(b,d,e)}}})})();(function(a){if(a){var b={};if(pa(a))for(var c in e)e.hasOwnProperty(c)&&h(e[c],c,a[c],b);p("require","linkid",b)}})(B.linkAttribution);var L=B.linker;L&&L.domains&&ue(f+".",L.domains,!!L.use_anchor,!!L.decorate_forms);var H=function(a,b,c){c&&(b=""+b);B.F[a]=b},J=Xb;"page_view"==J?(R(),p("send","pageview",B.F)):"gtag.config"==J?0!=B.sendPageView&&(R(),p("send","pageview",
B.F)):"screen_view"==J?p("send","screenview",B.F):"timing_complete"==J?(H("timingCategory",B.eventCategory,!0),H("timingVar",B.name,!0),H("timingValue",dc(B.value)),void 0!==B.eventLabel&&H("timingLabel",B.eventLabel,!0),p("send","timing",B.F)):"exception"==J?p("send","exception",B.F):(0<=Nd("view_item_list select_content view_item add_to_cart remove_from_cart begin_checkout set_checkout_option purchase refund view_promotion checkout_progress".split(" "),J)&&(p("require","ec","ec.js"),x()),H("eventCategory",
B.eventCategory,!0),H("eventAction",B.eventAction||J,!0),void 0!==B.eventLabel&&H("eventLabel",B.eventLabel,!0),void 0!==B.value&&H("eventValue",dc(B.value)),p("send","event",B.F));a||(a=!0,Ie("https://www.google-analytics.com/analytics.js",function(){te().loaded||b.vtp_gtmOnFailure()},b.vtp_gtmOnFailure))})}();

var ef={macro:function(a){if(U.Ea.hasOwnProperty(a))return U.Ea[a]}};ef.dataLayer=sc;ef.onHtmlSuccess=U.jb(!0);ef.onHtmlFailure=U.jb(!1);ef.callback=function(a){Yb.hasOwnProperty(a)&&ac(Yb[a])&&Yb[a]();delete Yb[a]};ef.ac=function(){var a=E.google_tag_manager;a||(a=E.google_tag_manager={});a[Vb.I]||(a[Vb.I]=ef);Wb=a;Zb=Z.a;Lb=Lb||U};for(var ff=data.resource||{},gf=ff.macros||[],hf=0;hf<gf.length;hf++)Eb.push(gf[hf]);for(var jf=ff.tags||[],kf=0;kf<jf.length;kf++)Hb.push(jf[kf]);
for(var lf=ff.predicates||[],mf=0;mf<lf.length;mf++)Gb.push(lf[mf]);for(var nf=ff.rules||[],of=0;of<nf.length;of++){for(var pf=nf[of],qf={},rf=0;rf<pf.length;rf++)qf[pf[rf][0]]=Array.prototype.slice.call(pf[rf],1);Fb.push(qf)}Jb=Z;(function(a){Db=function(a){return Hd.w(a)};Kb=ud;Sa(Hd,Gd());for(var b=0;b<a.length;b++){var c=a[b];if(!ia(c)||3>c.length){if(0==c.length)continue;break}Hd.w(c)}})(data.runtime||[]);ef.ac();
(function(){var a=Ca("dataLayer",[]),b=Ca("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};Fc.push(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});id.push(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});var c=a.push;a.push=function(){var b=[].slice.call(arguments,0);c.apply(a,b);for(kd.push.apply(kd,b);300<this.length;)this.shift();return nd()};kd.push.apply(kd,a.slice(0));O(od)})();Dc=!1;Ec=0;
if("interactive"==I.readyState&&!I.createEventObject||"complete"==I.readyState)Gc();else{Ia(I,"DOMContentLoaded",Gc);Ia(I,"readystatechange",Gc);if(I.createEventObject&&I.documentElement.doScroll){var sf=!0;try{sf=!E.frameElement}catch(a){}sf&&Hc()}Ia(E,"load",Gc)}hd=!1;"complete"===I.readyState?jd():Ia(E,"load",jd);

})()
